extends:
  - spectral:oas
  #  - https://italia.github.io/api-oas-checker/spectral.yml
  - https://italia.github.io/api-oas-checker/spectral-generic.yml
  - https://italia.github.io/api-oas-checker/spectral-security.yml
rules:
  no-default-additionalProperties: hint
  string-maxlength: hint
  typed-enum: error
  paths-status: warn
  response-with-json-object: error
  paths-status-return-problem: off
  paths-status-problem-schema: off
